> For the complete documentation index, see [llms.txt](https://docs.lime-pay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lime-pay.com/api-documentation/deposits-api/endpoints/payment-methods-endpoint.md).

# Payment Methods Endpoint

The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the country specified

## Payment Methods

<mark style="color:blue;">`GET`</mark> `https://api-stg.lime-pay.com/v3/payment_methods?country={country}`

## Description

The **`payment_methods`** endpoint will show you all the payment methods your account has enabled for the country specified as **query params** in the request.

It will also show details about each payment method like the `payment method code`, the `payment method name`, the[`payment method type`](/api-documentation/deposits-api/endpoints/payment-methods-endpoint.md#payment-types) as well as the `payment method logo` and others.

{% hint style="info" %}
In case of integrating the [OneShot Experience](/api-documentation/deposits-api/endpoints/deposit-creation-endpoint.md#full-request-streamline) and displaying the payment methods on your cashier, make sure you check the **payment methods** with this API multiple times per day to make sure that in case a new payment method becomes available or unavailable, you will also automatically update it on your cashier without requiring manual intervention from either side.
{% endhint %}

#### Query Parameters

| Name    | Type   | Description      |
| ------- | ------ | ---------------- |
| country | string | Country ISO code |

#### Headers

| Name          | Type   | Description                   |
| ------------- | ------ | ----------------------------- |
| Authorization | string | "Bearer " + Read-Only API Key |

{% hint style="success" %}
Please find all the country codes in the [Countries Specifications](/knowledge-base/countries-specifications.md#countries-and-currencies) section.
{% endhint %}

## Request

In order to start using the payment methods endpoint, you need to:

1. Send the request with **GET** method.
2. Specify a [valid country code](/knowledge-base/countries-specifications.md#countries-and-currencies) in the request as **QUERY PARAMS**.
3. Send the **Authorization** header with your read-only API Key as Bearer as follows:

> Authorization: Bearer *your\_read\_only\_key\_here*

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request GET 'https://api-stg.lime-pay.com/v3/payment_methods?country=MY' \
--header 'Authorization: Bearer your_read_only_key_here'


```

{% endtab %}

{% tab title="JAVA" %}

```java
import java.io.*;
import okhttp3.*;

public class main {
  public static void main(String []args) throws IOException{
    OkHttpClient client = new OkHttpClient().newBuilder()
      .build();
    Request request = new Request.Builder()
      .url("https://api-stg.lime-pay.com/v3/payment_methods?country=MY")
      .method("GET", null)
      .addHeader("Authorization", "Bearer your_read_only_key_here")
      .build();
    Response response = client.newCall(request).execute();
    System.out.println(response.body().string());
  }
}


```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using RestSharp;

namespace HelloWorldApplication {
    class HelloWorld {
        static void Main(string[] args) {
            var client = new RestClient("https://api-stg.lime-pay.com/v3/payment_methods?country=MY");
            client.Timeout = -1;
            var request = new RestRequest(Method.GET);
            request.AddHeader("Authorization", "Bearer your_read_only_key_here");
            IRestResponse response = client.Execute(request);
            Console.WriteLine(response.Content);
        }
    }
}


```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api-stg.lime-pay.com/v3/payment_methods?country=MY",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => array(
    "Authorization: Bearer your_read_only_key_here"
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;


```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="200 Payment methods successfully retrieved" %}

```json
[
    {
        "country": "MY",
        "code": "MB",
        "name": "AmBank",
        "type": "BANK_DEPOSIT",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/MB.svg"
    },
    {
        "country": "MY",
        "code": "TR",
        "name": "Bank Transfer",
        "type": "BANK_TRANSFER",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/TR.svg"
    },
    {
        "country": "MY",
        "code": "BST",
        "name": "Boost",
        "type": "WALLET",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/BST.svg",
        "daily_average": 216,
        "monthly_average": 142
    },
    {
        "country": "MY",
        "code": "BY",
        "name": "CIMB Bank",
        "type": "BANK_DEPOSIT",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/BY.svg",
        "daily_average": 50,
        "monthly_average": 50
    },
    {
        "country": "MY",
        "code": "FPX",
        "name": "FPX",
        "type": "BANK_TRANSFER",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/FPX.svg"
    },
    {
        "country": "MY",
        "code": "GRB",
        "name": "Grab",
        "type": "WALLET",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/GRB.svg",
        "daily_average": 300,
        "monthly_average": 300
    },
    {
        "country": "MY",
        "code": "MY",
        "name": "Maybank",
        "type": "BANK_DEPOSIT",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/MY.svg",
        "daily_average": 17,
        "monthly_average": 17
    },
    {
        "country": "MY",
        "code": "PU",
        "name": "Public Bank",
        "type": "BANK_DEPOSIT",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/PU.svg",
        "daily_average": 32,
        "monthly_average": 32
    },
    {
        "country": "MY",
        "code": "RH",
        "name": "RHB Bank",
        "type": "BANK_DEPOSIT",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/RH.svg",
        "daily_average": 15,
        "monthly_average": 15
    },
    {
        "country": "MY",
        "code": "SPAY",
        "name": "ShopeePay",
        "type": "WALLET",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/SPAY.svg",
        "daily_average": 101,
        "monthly_average": 101
    },
    {
        "country": "MY",
        "code": "TNG",
        "name": "Touch n Go",
        "type": "WALLET",
        "status": "OK",
        "logo": "https://resources.lime-pay.com/cashin/payment_method/square/TNG.svg",
        "daily_average": 73,
        "monthly_average": 73
    }
]
```

{% endtab %}

{% tab title="210 The country specified was incorrect" %}

```json
{
    "code": 210,
    "description": "Invalid country",
    "type": "INVALID_COUNTRY"
}
```

{% endtab %}

{% tab title="401 Invalid credentials error" %}

```json
{
    "code": 100,
    "description": "Invalid credentials",
    "type": "INVALID_CREDENTIALS"
}
```

{% endtab %}
{% endtabs %}

### Response Fields

The response will return an object different for each payment method. You should be able to iterate though it no matter how many payment methods are returned.

| Field             | Format | Description                                                                                                                                                                                                   |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `country`         | String | [Country code](/knowledge-base/countries-specifications.md#countries-and-currencies)                                                                                                                          |
| `code`            | String | Payment method code that should be used when creating a [deposit request](/api-documentation/deposits-api/endpoints/deposit-creation-endpoint.md)                                                             |
| `name`            | String | Payment method name                                                                                                                                                                                           |
| `type`            | String | Payment method type. Check the [Payment Types](/api-documentation/deposits-api/payment-methods.md) section for further details                                                                                |
| `status`          | String | Status of the payment method. It will be updated in case a payment methods becomes momentaneously unavailable                                                                                                 |
| `logo`            | String | URL containing the payment method logo                                                                                                                                                                        |
| `daily_average`   | Number | Daily average time for the approval of the deposits with this payment method in seconds. \*Note that in case the method is new, we may not have daily average information so this field won't be returned     |
| `monthly_average` | Number | Monthly average time for the approval of the deposits with this payment method in seconds. \*Note that in case the method is new, we may not have monthly average information so this field won't be returned |

{% hint style="warning" %}
We may add more fields to this response's object in the future. Please develop your integration considering that it will ignore new fields and continue working fine no matter if we add new fields.
{% endhint %}

## Payment types

| payment\_type     | Description                     |
| ----------------- | ------------------------------- |
| *`BANK_DEPOSIT`*  | Bank deposits                   |
| *`BANK_TRANSFER`* | Electronic Funds Transfer (TEF) |
| *`WALLET`*        | Wallet solutions                |
| *`VOUCHER`*       | Cash solutions                  |
| *`MOBILE MONEY`*  | Mobile Money Solutions          |

## Payment Methods

Check the Payment Methods page for the full list of payment methods.

{% content-ref url="/pages/-M7EyIJfwI7M7iTDXAkL" %}
[Payment Methods](/api-documentation/deposits-api/payment-methods.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lime-pay.com/api-documentation/deposits-api/endpoints/payment-methods-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
